Bug 1009957 - Saving an invalid process may result in changes being lost.
Saving an invalid process may result in changes being lost.
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
Depends On:
  Show dependency treegraph
Reported: 2013-09-19 10:59 EDT by Marek Baluch
Modified: 2014-08-06 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:07:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
stack-trace.txt (8.11 KB, text/plain)
2013-09-19 10:59 EDT, Marek Baluch
no flags Details
process-image.png (221.23 KB, image/png)
2013-09-19 11:00 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-09-19 10:59:40 EDT
Created attachment 800007 [details]

Description of problem:

If I try to save the attached process (process-image.png) then editor says save OK but changes where in fact not saved. The attached error (stack-trace.txt) will be present in the log.

Based on the error-message - if the editor does not know how to handle the definition then it should properly inform the user.

The 'view  process sources' feature does not share this shortcomming. It informs the user that the conversion failed.
Comment 1 Marek Baluch 2013-09-19 11:00:09 EDT
Created attachment 800008 [details]
Comment 2 Tihomir Surdilovic 2013-10-08 10:42:39 EDT
We currently do not support nested swimlanes. Only lanes nested inside pools would make sense, so we will add a new BZ to allow multiple pools to be used in Designer.

Current fix for this includes not allowing in the UI for users to nest swimlanes, and to handle errors like in the view source option.
Comment 3 Marek Baluch 2013-11-23 10:20:16 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.